summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2018-05-22 17:52:54 -0400
committerIan Stakenvicius <axs@gentoo.org>2018-05-22 18:15:34 -0400
commit82e61dc60f310e372b6a0b32f2b63377e7cf7aee (patch)
treea4be07e15fcade69896004ec61f8af3a097cdd64 /mail-client/thunderbird
parentdev-util/radare2: verbump to 2.6.0 (diff)
downloadgentoo-82e61dc60f310e372b6a0b32f2b63377e7cf7aee.tar.gz
gentoo-82e61dc60f310e372b6a0b32f2b63377e7cf7aee.tar.bz2
gentoo-82e61dc60f310e372b6a0b32f2b63377e7cf7aee.zip
mail-client/thunderbird{,-bin}: bump to 52.8.0 for security
thunderbird-bin bumped directly to stable by maintainer Bug: http://bugs.gentoo.org/656258 Bug: http://bugs.gentoo.org/656092 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'mail-client/thunderbird')
-rw-r--r--mail-client/thunderbird/Manifest58
-rw-r--r--mail-client/thunderbird/thunderbird-52.8.0.ebuild342
2 files changed, 400 insertions, 0 deletions
diff --git a/mail-client/thunderbird/Manifest b/mail-client/thunderbird/Manifest
index e80e1b7ccfa..2ecb0a1d586 100644
--- a/mail-client/thunderbird/Manifest
+++ b/mail-client/thunderbird/Manifest
@@ -5,6 +5,7 @@ DIST gdata-provider-3.3.tar.xz 85628 BLAKE2B 2ccde620b181a2d8678f50d7107373886f3
DIST lightning-4.7.8.tar.xz 1951252 BLAKE2B df8900cacfe660ad17454836893e7199b8590d47ef093699afd135e0a39201cb43dda8d581a36b5375a29c43bb55dd7cb9479dcaf02f52ee8f4a454fe3d426a0 SHA512 37decaf4010e48cf242e76c5d73caf96f7b1e34c67fd465fb8b33055a6986d5fa7b1557862526224ab4ac421df3441e974d297ec4a9454dd63a039683ec46fe6
DIST lightning-5.4.5.2.tar.xz 1896864 BLAKE2B 545db49edb693696440a48e1b4e0367580284815f918129fe148037312a9950887cfdbc4d41719f8cd8eb47ed193c8e29c10b49dfb919f8bc7d362e07b238ff6 SHA512 544961df074123548c7d71ae195835a17d861d74f838849666380ba6e2975179668d79c2e8053429eb9c52a6b315335e109c942ecf498f48f5729307334a174f
DIST lightning-5.4.6.tar.xz 1862620 BLAKE2B a7d1d3dd1926844aba7c83378d672317e3ee01ea0d96d233471dcd64cd16af7f1d33c7b2d58ce7539f13874a93efb65edd3329b522eb69f088f734934c5a166f SHA512 10deb6990c260e9b64e08d4a562f6ca496299e5087037632ce082e063999e9af0b0f9fd45df592859b802c510b45818f123a091cde2105167985f99b63031abe
+DIST lightning-5.4.8.tar.xz 1891528 BLAKE2B 8b15d2058171d09b8fc1e992b48d36f024ae9405803c0626060bbdb75318a6ce652cc1b527cc2a30041c81f2ea215c63950912a8783d55e4042c2fcc270bfccf SHA512 9c36ad58ef77f9e7a1e34c07db0357d4db75a44c837068016e1413e31cc762f2cc1b4cf1edf8a78124077053db6ddddec68c17ba42da91c2a05dc87616f742dc
DIST thunderbird-38.0-patches-0.1.tar.xz 684 BLAKE2B 5f55008421169da375e5cca5e3e4944c207e53b194b7d7b6bc0a589cbcb38695ffd4b06c1f9a8adec9c6affc41717f3a4f0e7da2d8aca647cf8164b6f4834a78 SHA512 52c83af301be959e861dfec55b3c4bc60035387c606976bd29232c4cba077230edcadef242491e699fba10027d0408dd4f33fa320bcf96727afe149166ca02de
DIST thunderbird-45.8.0-ar.xpi 490775 BLAKE2B acd6914f3792b71a2245c8cdb14f143ff3c3b0f8f5176d2808fbaead0c0c57affbc82c26075d7e3c2c31658e29f038200252ca726a4b9ca0eb8fb8e934439301 SHA512 95adc2355a27d916f96c43bee0d4527990a1eba8cee9e4f85cd6da9202ea0ff4fb89fde127abce03962e185b272f5bbd1d8cfb032f6f32c7895bf3dde8d35a2c
DIST thunderbird-45.8.0-ast.xpi 428059 BLAKE2B c5fae88f8f28689f663a29f260840a3926830085c2aef8f135e2b6b6b1b81f07673e30792a71edeb57be67cca642752f398de7f74cf338fe29d3ffa232a963cf SHA512 eccf877f29099445ef59c833929a50df7424aa475b1ceb432d6c10b28c71b4e25d840a4fedb1afb3106896da0afeb47a3af1b763553dc6ae40f7bda5b0d65040
@@ -234,3 +235,60 @@ DIST thunderbird-52.7.0-vi.xpi 637164 BLAKE2B d9b33374ee657248f3c83c41dbd7deeadc
DIST thunderbird-52.7.0-zh-CN.xpi 593612 BLAKE2B 51027d99360c386d9f61ad1049f239757291bd0eb449ddd247263d139a4b583bad6ceadb14a0a5ac33a1ac0013f635837c6c6b8fa04e6b856c0a02bda9169d81 SHA512 e3a8b15133484760f6a9acb49600f979f62b194b5c6621cb5ec9805317de49e58a79692f9c69b34f03af119de31e54f42cfd43434b8a0e0fa26082e7746bc92d
DIST thunderbird-52.7.0-zh-TW.xpi 595729 BLAKE2B 4b2877e9f45e6d64cfba8ebe41d6d832e5ee87a667ce5c778d1bfb651b9d18ca1abe34125bdc308d226bf79f67505ebe1de05cd14dbc7aa0228611a2f9d00916 SHA512 9aae56ebd2f3e13f097927953d0a1f7834a68d7d37259a2bf425a88d404b91da9488aacf64bda89bb6e35856e6a1a4e6d26d636915df9f15c49fe5e781a0d35a
DIST thunderbird-52.7.0.source.tar.xz 230410444 BLAKE2B 4c7d10a16f78c2ea791d72f3f99b25556ccfce9448d7b1235403738722aee1c8ad9aa08a21bce3c5a82389d9b4d96ada104950b0168424308f07fa6a939c190b SHA512 875ad6f2b030c65d248ecec4f4a5b51767c3ee7944ac72893237efd2af50145ec2e4a9efa8d60807b78bcfb8189969e5a67d15124710e8b0091f639cddfbfe21
+DIST thunderbird-52.8.0-ar.xpi 604235 BLAKE2B 70f75466606be60e8f9a0897a537264a35e9f4046c88fdadb0a3ea2ae97155f9c5167c4f808ee8231712822cc44b710b03d748c6453e62ad23d4cc4cfd3e24c1 SHA512 fbf320836fcb9fbcd71ba529f4279ee008b08ccc7264856877068c8eb3de6199a8e1f95ab7ca85727d7ef0632bbf46d3d91d00c4dca67e09e0a3597f5225f56a
+DIST thunderbird-52.8.0-ast.xpi 541174 BLAKE2B c1053599d028b75288a0a9e3b256925ae4577d90c74f96abe518d1ee3fb98b9c3d76a86eea8dd0a97f3291831a9fb957315461f889bffbbf0f4ca9a650016094 SHA512 dcdc1ebff99e7afc4d070a6aee4227fbd98bc04af8b3c0b17d44e2e842fbf93b1114f22b1943f0dc2b6572bdae5feed61733c6cb463cc720046efac90ae5dda4
+DIST thunderbird-52.8.0-be.xpi 570932 BLAKE2B 323d8cb018e5a7c42c6a1ec2d189c992e151be997eb2678d91487c32f92a31a4a9842da6a5c0c3f67debaaaae74463e9289570e336d58eb2509ba441ecabef58 SHA512 0a7ee16c9f6bd24b44d6ff9ad6d933ade89ee4d39fc5decf982cf7b25cdc0b5e00278b345fb35bf8fa35f9319474ee2f3366f8318bfa5d9fdec4b06195967189
+DIST thunderbird-52.8.0-bg.xpi 634897 BLAKE2B 2842d604d0e5dd208a9897d5982bfcfe085c57ac117c14db581cbe012e3357f31e5555d9ee96d080e5f5f15abb8fe33a323ea141427ee6922d655dde81e85f46 SHA512 5e1c9610fa9261d05ad6ba9821aa406e07fd7f8f6db2465c19a635d450d93280e889c4b97948910baf545c5a60687f758ea598fc7806fee2abd85f44338966d7
+DIST thunderbird-52.8.0-bn-BD.xpi 676901 BLAKE2B c896d1cfabf30d62c8b44ce1dd3cb300d53a5ad13f7819ebcbb61beb4e767ce9cc9b652b594376ede80bde3dacd921172afca0a04432a5d3e26abc30bcb20548 SHA512 ebf1194badfd0767d6744154decd275b079f3e31d3295e9ee5aa47d034c0a6e961489836938ab9e6402a52a68efe74de11d3baa44cfeeb6bc32d3f56c116845f
+DIST thunderbird-52.8.0-br.xpi 559380 BLAKE2B bb78ec6f7e46b8e79d16908fc3f06be993ca492ed224ce2c2646bd0fb7fb343e7a398aab3ed1ea7cd2806dc70a6464fdafa3be6420c0a254b15303368d6e9d00 SHA512 432a52847d20e48d1b9910fbdeb5a01e7248bc929704f00024f0b284ffc3c1cf4f48f13cf730f9e8b3588d3370e42d734f970ca74b2e88b81c66205a8a4e79ee
+DIST thunderbird-52.8.0-ca.xpi 569910 BLAKE2B b2941e0d0b1ce1753f6b686d11b0a6cc3a5e203195b77a28d26460b34d85ce741adfa9ae696695375aeb91f26d26abc94e5aa9e433c67f55a0fae98642128ab1 SHA512 061e82090625d3161a58818c31a446de662499bc545294446148a389a44c862b40ec0d3d6b480a24d37cabe7867c3c29eaee4ac40a993ec1b837b45b5abd5ff7
+DIST thunderbird-52.8.0-cs.xpi 579150 BLAKE2B 8ddfb14a51edeb35aa09e221ab79e849bce9e4aab801b5876d49b590ff7fe0ce8ed25add1f56230634b5da7fb8878011d8692a01c3dfb0394f307dfba0f8e4b7 SHA512 0b151713a567dbfd873d6104ef077ca4f0e6daa20a0e234eddb40d6f8fbc9c40dcd780a4cf2d84c570dd2004c7beac12bb61e19d975c8668b176bca18838ca8c
+DIST thunderbird-52.8.0-cy.xpi 554858 BLAKE2B a88d23a63a7b18a247164b5cef8380b60b142d419eadd906e3259435503b656cb8583afdba116d6f5314fa5d9d13fb60efffc34012978ffed21ae8c6b3f0191b SHA512 318c4cabace7209adfd41f6c14c3cb0e03edf9194799903d9d4b03a8819e314d65b4fcf5321a27f012a8eecf44308fd566737eb4e6c54d2a2d4deffca63a0243
+DIST thunderbird-52.8.0-da.xpi 543335 BLAKE2B 318cd6abb1c372ff1344cb68b4d54d946eaaa32ca8d7556851011e83a188321be822a30f2d7fa290d02b2a0222617fa6ed097c5bf83d849cb85c7d8f2526cdac SHA512 1aefaabbb16ac6a56a18fc27681afbd4ec7d3798f87743d55a04a1eb24e59ad1517b362af992cab50cb8e11b77c6c28e329e78e37a84faf05ba55612308c8dff
+DIST thunderbird-52.8.0-de.xpi 555744 BLAKE2B 771f700291e0d9f88dba24721bc282e9af9aacd0eba0af1c723cfa1643e3bf8c7dd2f67cf7895074ea434dfb9638dd811294fea5ba6aeb1819f8b57cde8bf182 SHA512 78bd4a22226387a9f106e9a536d916aa97f162d6ed6d8db455cc0db78924696becf9ea89d3feae2653d5e5c981d2d52457d3f29719223fc63cd488703973040c
+DIST thunderbird-52.8.0-el.xpi 662965 BLAKE2B dcbf86f96911de7e6e7626d78cada4f49412db196360a56a167815e660973a37c1ff87ed26868adb7e0e56da3a18e1a830bda7b2499923e824e36bb74cda9584 SHA512 b0e8739ebdfcbd4f7a28d06a3739ad05e65a3c392628d0c127ebfdaf5e889ae439e185458dcf4d0958ee96b969114ef5438e14bb25abd56ecedfaad4c5f51bd9
+DIST thunderbird-52.8.0-en-GB.xpi 531234 BLAKE2B d3633bd90323cffa9b596c43ce908371204528b8eed32ad9a4af62e14da1d885ed0c64f019b7820e53c43a31eeda00dc6838813145e1bc56e7a052f87ddc2127 SHA512 dc6ca61551a6c5c0268ad4fbac8c5fe97ef632ba8b782e0b5a882caca0db5dd36ca194c47ca8d2897639609abc5f0c396f332dfdaa9dfd062d31e4cece6bf1b5
+DIST thunderbird-52.8.0-es-AR.xpi 565995 BLAKE2B 4d9748648daf2e7453d296437e236c9b041252c35663a3d3ffed451cb959f878db18fdd18362628d059d0db2384bbcb6726c79fd16275bd4edc0b8a75947151f SHA512 2e3b5229ab92d8e20c47b6b5258db42801e6780cc714457385e81c0b5195632ae8a5afacfec7afe9a7cc7f500e34dcc7cc6d7f008704161696a4fb22ebf7734b
+DIST thunderbird-52.8.0-es-ES.xpi 445464 BLAKE2B bacd19d5656b1c915a95a3cb305236a5322a0405a8cb2a60eda84898102ed7f2c7f28e9304ce59a72808634f9238f97faa88bf1a818f8f94493c92549c42afe8 SHA512 1f65d35f272a1a91a26cde39cae23c959e921d2706b66cdde9d3a8824f8a9169b65fe7f81165b667610907e871d42495afc95c3b7341dc3139a7859e2eac94d7
+DIST thunderbird-52.8.0-et.xpi 551661 BLAKE2B 2cf6decf5e8286ab636baf2f79526d1b161eefc4711c6edb226a620ac79f03a94d94cb3c9d5a79d7b850ac5f8b423ef2b9f5fbfa8f7a91e018ce070d5c245230 SHA512 d90d8acc40160267455304e63f6594b03e9a32e15646be0bb5693de57c521b2a2b851acc0cbbe6fd471910d5da17d373fd7d9848186b77f36bd931506154d7e6
+DIST thunderbird-52.8.0-eu.xpi 555536 BLAKE2B adbc99eadb748286d03a35ca6bcc537c034ac65e4bad7e37f63e7bec349ff03df261f1ffe82527e965ca93b6c0d4e83d5ab5e3cf69117d580c791129410c488f SHA512 0001d6ac27631657165e5db8f296d2c0b2ca47e855373019fd46f10053c1090456118867193370add05efe2597298227bb1f42f6fbad9fc166e3212ef77c6201
+DIST thunderbird-52.8.0-fi.xpi 550669 BLAKE2B da3befbd6d4619c227841761baccb3ddf20346565da7eedd8d5cda3299feb44c8f998e89551779dcefff32eb6cd25cc32d3e81a6586e45f1e2faf906a989fa84 SHA512 fc8a8c681e47ff26f17542304449d97100af3c7d6d7aaa48e356f256ed4818021007ca07a3fd11a9502f2311c129bb1c1cf1cfc73f03b01c66f0b476afc51c08
+DIST thunderbird-52.8.0-fr.xpi 577561 BLAKE2B 008fb9d2913ed2cbbc291736c559c120511e87fb155d010b9da2c40fc599b22fe7985a37c397d3f0481ed43a2e4a88a71bf16b4e55c84a119081357b37349432 SHA512 f6ddd49e8db1c7491f329f5270dbe04a17db84863d7c2c1b9f8184cc72eaf610f53f43415c499400933a1d4a21c0e2703eb855919df179076032f2e049b9a4a5
+DIST thunderbird-52.8.0-fy-NL.xpi 563632 BLAKE2B 0a8c1dfe8d65faa9786b0b296ef5ee5e6bbf6aa3768fc8bf80303fa50e5345e65d161bf6f0073380d8f0fd03d17d6857880f6625aa1fbafb6bd63bf21e645fea SHA512 24a1fe29c2e9c35ae854c84d95f4d2bd3c5156531e43139e1129ff6366aa7daa952910c043b6393d541667067f1fc93c81c75b3d7dc67197fdb965ac1de793e7
+DIST thunderbird-52.8.0-ga-IE.xpi 583556 BLAKE2B 11fec560da638cafd9334445792b3c5f6b3bc4c50e55bcb0932fe230416da41089cfd615a9cec1fa6ca46f4fe5c0bb6f2412a793974964b4197d7bc84352a763 SHA512 73a26e8687fb91a8c7b6bf15b8d1da681355b71037836eb20616a37c523ce0d08b33f0b6fc9f5c6c7c27ca925d8ef9345baed62ac697933fcc7da0cf8728ca36
+DIST thunderbird-52.8.0-gd.xpi 574065 BLAKE2B dcf9e78c5ec5995797e78d0c3fa860fe035be140f54973c19d79672eb32cca588e594aee642b284d1b20e94b79bed96b64751b58b07f51cbae664665f0698e21 SHA512 3ab2a8149c069950dc7585305e61b83e07be0f298c90af5bbb5c01deb5be20f8e531b5083f6fa0a5d7bc459cb2f4b2f04faefd13d510474d05b4404f996be4e3
+DIST thunderbird-52.8.0-gl.xpi 575150 BLAKE2B ed48cc6ce087f40fb30dabdba4091e71339c6be02fa99f6a5356f356de09045231645c3e8448792c297b1ee0a7a29a3e924ede20e9fb05ecb2005769e9dd52fe SHA512 5c28a5fb55627ee6d10b393e8b2447658e23d8f6f022da78b7a6aaf33228036ec31a21049adbe6f42198eea91288e9977dc7b1f14fbf5b0ea3d8dee0275e62e6
+DIST thunderbird-52.8.0-he.xpi 592566 BLAKE2B cce5d5b17a7a80d5eaac786c64699fd6bb3f794d4c5fd28ebf958f424dac4c6ecd9ac711cf569299194fe052bc9e1f6d361ee6c169a9079d12349c0ca233e5cd SHA512 c9e14106e95bc9b65ca11bc40abb5e0ed61ee026b34768e178a411f5d27561ee6413076efd10c19c99e7c08adaaa547e21c536e326787cd457cb970fb0a00d68
+DIST thunderbird-52.8.0-hr.xpi 564780 BLAKE2B 39cee9f214ede451812a0c40edf3d222a46b4c7ded0452f61499918e5ee0a9cb1bc1dfa9dd269f684a772066cba7edfbe70f8ee6478f0a4cb0c15e00ef9ac6bd SHA512 3940c5e962cbb3743a4cdd1a402b45c65badf999a23bdd4c79fef055efeede9ead99d1a442edca35b7993a85ac48156162ebbd82d1e51afee78531d4f7718761
+DIST thunderbird-52.8.0-hsb.xpi 582242 BLAKE2B ceebedab1a9eec89da6ddd5c2b012d81ce82ba2989c2dac5bd9874815dbc56766919e7f78f353e72ea0d104a4c1ecce80ce6409452e9d514b00982465255a28e SHA512 9c561b0ca547a1aecb77905e51972d04e494850bf363802a780b015725967f05786c6521132cb5d5ed5f07e2d3f44a72cada23741ce7b3596a72a743825d33b4
+DIST thunderbird-52.8.0-hu.xpi 586446 BLAKE2B 9690aecc7ef9c630de7fd5c746ac682292822c8c8c831dbd1ebacd2587844d74ec0c51242c26c52765b8dbaeadb6bf4ed810c1bb4c0bf5e77dcdbb442ed3eb90 SHA512 39b22ca0f3f681fb807e173d6e8d82d6f34b330b91dafd074f55fd9cb622feffe65063b8ce719832c433bdfbf4979d3a687649d45e0c8cf7be5c5d9df1178c67
+DIST thunderbird-52.8.0-hy-AM.xpi 629879 BLAKE2B a1ad83579bdc39fb5ef2d6ed8a0b68defb00ef20afe038c8c682173242a7f3739a7734435f11719e9c2748785aa049563ae13b5da0496c79f2f739cb3d6ce81c SHA512 2e014f5d180c70858eccb80dfda9cbcfff25d8129311e805072c71568291630a34a492cb3f4b436f06e7a3546c858704e36de4b1c07709827d1532a01eba1dc6
+DIST thunderbird-52.8.0-id.xpi 546527 BLAKE2B 977ad57efad978db9d4a5e4c3289f31b64345442d52dca855372bf8d56c85ab5719c33508905a08cd86900d6baa556a86db904c2d736d29d63587de23d4a9985 SHA512 8d4a671bf1d8982f6520c70d48c4905a23e227c46114698cb33dbabbb8e6d0a393c6ee1b2c21cbfca95d8d8359ddaba8a267ddabe31e363eaf932b8a40d2cee3
+DIST thunderbird-52.8.0-is.xpi 555712 BLAKE2B fd21ae621be473bb372613a459edd17db21cdc1a8d3388e9109d7ed9aa29a7994ff133e5eebc57be8747bd658eab2e6a5bce4f1d3a7216c0db9c2df05e56da7c SHA512 6485c08257780ffdf91e9fa3219a5d26e1979f71904b811fff0e53115676afa7fde8963c2982080bdd37a416ce4c153922f9f120d47ae63ab4af994674b2477a
+DIST thunderbird-52.8.0-it.xpi 455408 BLAKE2B d13f383e76837dbf0958913ee51e7fb00ae543ef09096cd44c1704c6d47a1cc5a6f042385a2ab4d16a918d2cf5383f5fa6720026302f9b399aafba8461f2275c SHA512 7ae09da43960eedb48aeb99296712fcff629ad85437f8343c379d2a62c8c7ebc368ebf1658aa45ce2a4c5eb4aba790e240efea02929763247211f96f38433e36
+DIST thunderbird-52.8.0-ja.xpi 630053 BLAKE2B fb1f5261488641c61b865be55f4bdf8db13431f238c7a553e42c12c16e54864980d24ad18e60ef2cb557a348e8fed72cc21eb8148be3dfee0040074995331af1 SHA512 777ab9b8c46765c227ec0f88dcd633313750e9d4a84eb5b89ec944418975f636ab69bf4d6cca81f7fb7bc51a9b146c313b926dd25b6111e29a3df9ab5acd820e
+DIST thunderbird-52.8.0-ko.xpi 595517 BLAKE2B 7eff3b2638f20abcefd2a72bdaae5a793688715302fd3d3154e4a3fd4d8c5e52a26aaef9ed8b546f294ab8af11c4375fe9f03fc2ba763a3d9a31a9160691ba56 SHA512 536d152498aee8ccac22f2cbf94ab82caeb1c15c18236a3eca7c4b0a9f231ba6410e6c1d4c935f71b7aec214a78752e5b4d2015ef1c2dccd22691ba8142f273b
+DIST thunderbird-52.8.0-lt.xpi 580598 BLAKE2B f789732fbb231563a36a22b693cb648496d5befd804a01b01df5259bb26ab2f887391d88f99666e24744759463c9f81a1b85f8d18559d8c12cf8ef8d32607062 SHA512 81662dd7df9012293cea44b32595cf7e6d952907e2b4514e43c6bef8ffc5021faa898a872207bb59f1dd9fbe00a599b821a7c924301281e1d6c76bd8dc99ff2f
+DIST thunderbird-52.8.0-nb-NO.xpi 551104 BLAKE2B 74c9baa8293516eb4b306d06b2440f87d33c22889ee6d170d124d78fce6217acdaa93b404d23b90b4e83a59004710fb38a1f2217f2266c1d4bc1a1c855828288 SHA512 5ff5fba7953d1caf738ca3caa40f2160e56b5f43aa74a94d544ed5a5966c8a9721d3d0e4ffef96192e7bc9351fe063fb5ae3b2117171ef20c76b6cc8d17de6ae
+DIST thunderbird-52.8.0-nl.xpi 557957 BLAKE2B 84c40e5e37ebe767083ed579279b4fd95288f9b1104698d7a87a0fa18ea3f7274f827a8346e68354afdc70c4a6918f57c71fb7ddd793704005c0fe2d2c9da2a7 SHA512 776666f7a51c3c8432860ab75bbd3b681c156ac90e3c2ff8818001eb26d10d69022d459d227ea7d0051e9654ad95e75e5a5619781711f170a38b6251c76b26e8
+DIST thunderbird-52.8.0-nn-NO.xpi 551891 BLAKE2B 8317aa4f02da92804127e4d46e909a4db38bbad15151a2438783648a9ed450d9d8b412309da357d2e800fc6363ac94a7025f69fa94b8df62b397fa03b013d5dd SHA512 748742f8c4aab5061969d9a1fd39beabf7e403d614e4cd07c3baf6878b097abdd8775ad85ad42989703e4065044de05f1add059ad17cf896a020922947397e0b
+DIST thunderbird-52.8.0-pa-IN.xpi 646569 BLAKE2B d3fd3e9ce6370e4cd5f326d2272b383b5f3cc22d82c0063d31a31e201d251194243f6ff883c6d06f30c61919b63818e5a9cb8ab9f9a13ac76484adbc37ebc30a SHA512 611ac640e3ccd0d1f088b6b9452d7b3a33a7dcdef48137d7f9364d4c7551dea62c50a1c7d503de602181afea9f330adad56eccca34b869eaa85760abcdbe728c
+DIST thunderbird-52.8.0-pl.xpi 469901 BLAKE2B acb0565b6cc0d1606f69b636cdcae77f32f529718369f6b8e7f6c10af52c7df3136655f9bb606eda587ee32543c613d93ae826681cc7c7cd144ae1114945b802 SHA512 efbc2c4079b662544894f3af227fc05e09db9779ed163d24f17fea1f9aa72d83dec4ed7f65d714a18d3a83b3bb6b12db9a48b5ed33cb53f1bf02affa0aa96f0c
+DIST thunderbird-52.8.0-pt-BR.xpi 558224 BLAKE2B 8b27e91c5b12d58a1c2ce70c2f47cf7e116ceba9530fdeb0e4e12fd1c7d3bd53e132b193cc39e176d4b2402381fc524de478bea363e5065df40c1b55a27ca20a SHA512 f65863db9ebac81141416b821642e210434bb068c3270f35bba897f1ee8b5ff0da718592e608e260fb506dd443efc94a30990ba5d1527ef2af8c6164dd03ec66
+DIST thunderbird-52.8.0-pt-PT.xpi 565624 BLAKE2B 6872daa829a292e57755e24a4515306087f2b3896679aa5c63db2e9f23a76d63865309c60a845a5ce9da1ddcc39c7ae3318ff75e818cb7d956a45a990b1e86b4 SHA512 9330ed7cfb59aa596b07215ba7815d24fa5bd86bce67a0e05788112d6742852719336c9d05b72ae1e8b9375b2792b4695e7b45b5412f12045ccd71362f225e0b
+DIST thunderbird-52.8.0-rm.xpi 557605 BLAKE2B 28abbcf419b653271d86ce431e5869825742740bcb571952a2216bc60a8e3e6c4bc110f9e335df7caf0cf69089a21922d34d6d75c0ffe5a2c65db50eef5d1fc0 SHA512 b6d54506382ae216e50d8960a42beebad4a30866f928233670bf51c8d3261452370cd01bea91f6137387acd270bb43ae3a67b09b215f97fd89d79145972a0794
+DIST thunderbird-52.8.0-ro.xpi 570529 BLAKE2B c5be6c2a8a0a6b0d74dba9e375e54f23b53ddc0a6ad419a15e4e2a4a93832bc1010e1096441ae3e2a2bf776219872fd8f05eb037650ae9ad3aafa6a359f69115 SHA512 4d323231445ffdcfaa305845a22483f58f9c37a04f735c4d07b24294a195afda79e08eee45cef6c2463288302d1a8f76a576985dcc89594908dcf6cfc86d632f
+DIST thunderbird-52.8.0-ru.xpi 530670 BLAKE2B cc8fc978e764d7533f4388136ca69f67728c83a06bfa7990368cc7dd6721bdb4268835f64615dbc1e55fb822bb074bb35c88d2b99ccc6f1d857be237d2e9e9b0 SHA512 9ad75a0e32bc3a18b39faf5eab36aa8c2e152e262c065642753e64ac68b594b7b2d0bdc2c8f95f3739f58729bdd69a739da15b69dbac5070114bbc45daf78499
+DIST thunderbird-52.8.0-si.xpi 649010 BLAKE2B c36090a34a13dfff85a020974a0d276dc4e5f16829b615959e000b1c38d08bebe109d65087c8620c426860202fa710a0ce14fc853a242cdb00549ed51f53a970 SHA512 f595ac1805f29e3abdb954791501f02847b6b67f2c95a5d96625cd717ab66a280262eff283240d6e6b4905928523e2ccfb64856d023d7a0aca7e4e580b6488e0
+DIST thunderbird-52.8.0-sk.xpi 583882 BLAKE2B 6dca98f6d047416676ff4efddd82e6123a71d053b8fede47ee0f7e7b6abc4349dfe14254e8befa08d78df5d558edef3ae245e2526fc85f003aa265230f398bfd SHA512 58473dd5e62f1c53cdae0cc90f7c66c1d135ec5934b73e58b7793e9258acd374c2262e6d25dfaccf7ec651136a151bc191abddf9ee3f9d8cd38221fc14281c04
+DIST thunderbird-52.8.0-sl.xpi 562834 BLAKE2B 7e02fd6bef16af5664b46aa5bcdb7ad3c264e53818452e180b559bf4b952cc6383ff0b339359746fbf409ab7e650ce494b61e9dbb602c67c7a308a9fe9d82da3 SHA512 e9ce318f9862274d6b7cf90ca1d517eda323a8d33509d5d063a98f81e55c14d716b5f3285d0621f260867ad41be83e2cbbb5fd240cc842bcb4bdf0e4df0421b4
+DIST thunderbird-52.8.0-sq.xpi 570616 BLAKE2B ece5e1f477a6d46508cdd71db054d558e00069ebc88dd334455d522487bcc300934cbd83eee7a72d2e3165bdc1bef31857ed01d326f7ff4780b1d37295c38764 SHA512 ce4f02970ca3c2d4c7d85aabdadd0c7068a40eb102edbf67a2f3521848f9d1a0905f0c7f245e6088b3c7af501c8aee637dabce64badbae7e81209295b9af9a59
+DIST thunderbird-52.8.0-sr.xpi 609020 BLAKE2B 0c1d690e2daaef172055e333a1e25e6159d8394e1487f24af9ff6bb89e346982a79bdb256e3255b11ac59e5b63288cbfcccb161ea4a03baafbcfd1c03fcb0924 SHA512 34c33a3d8ea9c9ef40e11ae27d03eccdfa19e7eb21114034a741e0f064874867d6138158a255e7438a22f5f7ee5eb632cc6d8caf043d25ef8aa0ddee96d04943
+DIST thunderbird-52.8.0-sv-SE.xpi 565777 BLAKE2B 2a35fa460703fe99849d133b16577d5da0e2093752d071adc7f20950613bac336f5cdf3fa71128d3eb1e15f5f87b3f2d56cc08f7d3deb6d115df5f10532a607e SHA512 3e78e1430db0efd419a94231742a78ed2f094d4e860c925a0a2699481b01ae90ee6a4a556d51af723a69fd37362ec56e544989ab4fc483dcb7c5f9666b81ea37
+DIST thunderbird-52.8.0-ta-LK.xpi 675039 BLAKE2B f141b5aeed64ce104ce7772f70ba66c876cdcf02b381a85451fe1d94fe11ffae96f1249c98516f12af8af12b6ef4464e7a26077fa118400a8b15dcf30e1659c6 SHA512 9a5c5852efdd59ffa13e784956f6d500ea9492506eff6ae352b2f79f60a45686d5b9bdad11cacc3683dec039c9327fd0aaa52209256f2dac6393eebe102c629c
+DIST thunderbird-52.8.0-tr.xpi 569926 BLAKE2B 537bf4d39ad09b26085462b28efe66f9eb58f23621a403cf970ec09299c43acb897db2795260f4581cba56252951ba1967a0aed2bf6970fe2b44ac55ab0ad979 SHA512 39cce6df28f709bf8a3ff6d65707eb94713d683b282085fabfc0fd4a2efb130710bf9387ce7747ee18382344d351668dac08ac0dd3a3db0bcc8a1d8d5277f47f
+DIST thunderbird-52.8.0-uk.xpi 652855 BLAKE2B dae7288cbb6b0d0c6910b852fdd16144a21cd64f1a941e7f3a144e1c5fcde0cf8b66266a3b041eb1fe2407006ef8b85bd95df21a610a6a3bb5eb3ebb4acc22d7 SHA512 26bc7c1cbd8c441c8ef5d4fa5c043c1c802bdf627c9079a85f17fe2d8cc1ab55b854163a12d0548b55c72c0ed4de65c2185bce26bcc868e49cb011e235353665
+DIST thunderbird-52.8.0-vi.xpi 637164 BLAKE2B 0324efd580582af4965de2db1bdffe856c123c67a76c1e0fd1fe367687dd3d97b77ddd47635488896ada5be75a641cacdf3cd81f92162a15fcf60a6ad4464e4a SHA512 f37767066cfdd165aaf4bcfa0bf7a4b8dd1a34d1aa45172560a2f2d5a1d9d5c8ef86a679fc9724af94a2c2d2e856f1af8d4f564988030575d4513ab6759e7533
+DIST thunderbird-52.8.0-zh-CN.xpi 593612 BLAKE2B 725c080083c53aa36f8a93d2bc3b80c20eef2c844c30c4935d510930c67a1f59230f193002276fd7d18ed5b2e61cbc2ec72a52e924fb17d35ebe81bacc271355 SHA512 129105f53cfb56311f855f8d15041f9c2900fe56c2662473e5bd7c1ee3eed96b8d61fd6416fa1ad626a4acf550554d2f4898caacf44c3967b2e7fb03cbcf6b7c
+DIST thunderbird-52.8.0-zh-TW.xpi 595729 BLAKE2B a8f52baf28e60dbc510ad8d0893a4c259dfc34e332810b76f8ddd8e2c84ec9f938804e19cdf4640dd4901bb877921d0570d241d1769351d76e7d59e5a3ad8544 SHA512 fe1b639041bf52c9037ed08a13a9044b9a56241d8c455e8d7a818b60967fef17124c7b18256c72ce72e2b3802b33e632389adc8f36783c633ebd5167cd83c32c
+DIST thunderbird-52.8.0.source.tar.xz 230380780 BLAKE2B 6bb13abbbfc6fbb9eba6bbc9a66b891bf463233ff875b4bf0b877c3ee8c6b868e964381cd7904ff91027189ef05bf11eae90791612cee66720c0713930594df0 SHA512 ce44f32f44244560499c44dbe963a8296cf58cf33e3f26d07be455746ed7f77791084e41bc66b2c90fe46e97fa15ae2041b1f5fcfa94d15b45c4f90172230d03
diff --git a/mail-client/thunderbird/thunderbird-52.8.0.ebuild b/mail-client/thunderbird/thunderbird-52.8.0.ebuild
new file mode 100644
index 00000000000..b2a06cfed0e
--- /dev/null
+++ b/mail-client/thunderbird/thunderbird-52.8.0.ebuild
@@ -0,0 +1,342 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+MOZ_LIGHTNING_VER="5.4.8"
+MOZ_LIGHTNING_GDATA_VER="3.3"
+
+# This list can be updated using scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=(ar ast be bg bn-BD br ca cs cy da de el en en-GB en-US es-AR
+es-ES et eu fi fr fy-NL ga-IE gd gl he hr hsb hu hy-AM id is it ja ko lt
+nb-NO nl nn-NO pa-IN pl pt-BR pt-PT rm ro ru si sk sl sq sr sv-SE ta-LK tr
+uk vi zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_beta/b}"
+
+# Patches
+PATCHFF="firefox-52.5-patches-02"
+
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+# ESR releases have slightly version numbers
+if [[ ${MOZ_ESR} == 1 ]]; then
+ MOZ_PV="${MOZ_PV}esr"
+fi
+MOZ_P="${PN}-${MOZ_PV}"
+
+MOZCONFIG_OPTIONAL_GTK2ONLY=1
+MOZCONFIG_OPTIONAL_WIFI=1
+
+inherit flag-o-matic toolchain-funcs mozconfig-v6.52 autotools pax-utils check-reqs nsplugins mozlinguas-v2 xdg-utils gnome2-utils
+
+DESCRIPTION="Thunderbird Mail Client"
+HOMEPAGE="http://www.mozilla.com/en-US/thunderbird/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist crypt hardened ldap lightning +minimal mozdom rust selinux"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c}/mozilla/patchsets/${PATCHFF}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/${MOZ_P}.source.tar.xz
+ https://dev.gentoo.org/~axs/distfiles/lightning-${MOZ_LIGHTNING_VER}.tar.xz
+ lightning? ( https://dev.gentoo.org/~axs/distfiles/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.tar.xz )
+ ${PATCH_URIS[@]}"
+
+ASM_DEPEND=">=dev-lang/yasm-1.1"
+
+CDEPEND="
+ >=dev-libs/nss-3.28.3
+ >=dev-libs/nspr-4.13.1
+ "
+
+DEPEND="rust? ( dev-lang/rust )
+ amd64? ( ${ASM_DEPEND}
+ virtual/opengl )
+ x86? ( ${ASM_DEPEND}
+ virtual/opengl )"
+
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-thunderbird )
+ crypt? ( >=x11-plugins/enigmail-2.0.5 )
+"
+
+S="${WORKDIR}/${MOZ_P}"
+
+BUILD_OBJ_DIR="${S}/tbird"
+
+pkg_setup() {
+ moz_pkgsetup
+
+ export MOZILLA_DIR="${S}/mozilla"
+
+ if ! use bindist ; then
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation"
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag"
+ elog
+ fi
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ CHECKREQS_DISK_BUILD="4G"
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+
+ # this version of lightning is a .tar.xz, no xpi needed
+ #xpi_unpack lightning-${MOZ_LIGHTNING_VER}.xpi
+
+ # this version of gdata-provider is a .tar.xz , no xpi needed
+ #use lightning && xpi_unpack gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.xpi
+}
+
+src_prepare() {
+ # Apply our Thunderbird patchset
+ epatch "${FILESDIR}"/1000_fix_gentoo_preferences.patch
+
+ # Apply our patchset from firefox to thunderbird as well
+ rm -f "${WORKDIR}"/firefox/2007_fix_nvidia_latest.patch || die
+ pushd "${S}"/mozilla &>/dev/null || die
+ eapply "${WORKDIR}/firefox"
+ popd &>/dev/null || die
+
+ # Ensure that are plugins dir is enabled as default
+ sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+ "${S}"/mozilla/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 32bit!"
+ sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+ "${S}"/mozilla/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 64bit!"
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/mail/installer/Makefile.in || die
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/mozilla/toolkit/mozapps/installer/packager.mk || die
+
+ # Shell scripts sometimes contain DOS line endings; bug 391889
+ grep -rlZ --include="*.sh" $'\r$' . |
+ while read -r -d $'\0' file ; do
+ einfo edos2unix "${file}"
+ edos2unix "${file}"
+ done
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Confirm the version of lightning being grabbed for langpacks is the same
+ # as that used in thunderbird
+ local THIS_MOZ_LIGHTNING_VER=$(python "${S}"/calendar/lightning/build/makeversion.py ${PV})
+ if [[ ${MOZ_LIGHTNING_VER} != ${THIS_MOZ_LIGHTNING_VER} ]]; then
+ eqawarn "The version of lightning used for localization differs from the version"
+ eqawarn "in thunderbird. Please update MOZ_LIGHTNING_VER in the ebuild from ${MOZ_LIGHTNING_VER}"
+ eqawarn "to ${THIS_MOZ_LIGHTNING_VER}"
+ fi
+
+ eautoreconf
+ # Ensure we run eautoreconf in mozilla to regenerate configure
+ cd "${S}"/mozilla || die
+ eautoconf
+ cd "${S}"/mozilla/js/src || die
+ eautoconf
+}
+
+src_configure() {
+ MEXTENSIONS="default"
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ mozconfig_config
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ use hardened && append-ldflags "-Wl,-z,relro,-z,now"
+
+ mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+ mozconfig_annotate '' --enable-calendar
+
+ # Other tb-specific settings
+ mozconfig_annotate '' --with-user-appdir=.thunderbird
+
+ mozconfig_use_enable ldap
+ mozconfig_use_enable rust
+
+ mozlinguas_mozconfig
+
+ # Bug #72667
+ if use mozdom; then
+ MEXTENSIONS="${MEXTENSIONS},inspector"
+ fi
+
+ # Use an objdir to keep things organized.
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ ####################################
+ #
+ # Configure and build
+ #
+ ####################################
+
+ # Disable no-print-directory
+ MAKEOPTS=${MAKEOPTS/--no-print-directory/}
+
+ if [[ $(gcc-major-version) -lt 4 ]]; then
+ append-cxxflags -fno-stack-protector
+ fi
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake V=1 -f client.mk configure
+}
+
+src_compile() {
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ emake V=1 -f client.mk
+}
+
+src_install() {
+ declare emid
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Copy our preference before omnijar is created.
+ cp "${FILESDIR}"/thunderbird-gentoo-default-prefs-1.js-1 \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+
+ mozconfig_install_prefs \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js"
+
+ # dev-db/sqlite does not have FTS3_TOKENIZER support.
+ # gloda needs it to function, and bad crashes happen when its enabled and doesn't work
+ if in_iuse system-sqlite && use system-sqlite ; then
+ echo "sticky_pref(\"mailnews.database.global.indexer.enabled\", false);" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" \
+ emake DESTDIR="${D}" install
+
+ # Install language packs
+ mozlinguas_src_install
+
+ local size sizes icon_path icon
+ if ! use bindist; then
+ icon_path="${S}/other-licenses/branding/thunderbird"
+ icon="${PN}-icon"
+
+ domenu "${FILESDIR}"/icon/${PN}.desktop
+ else
+ icon_path="${S}/mail/branding/aurora"
+ icon="${PN}-icon-unbranded"
+
+ newmenu "${FILESDIR}"/icon/${PN}-unbranded.desktop \
+ ${PN}.desktop
+
+ sed -i -e "s:Mozilla\ Thunderbird:EarlyBird:g" \
+ "${ED}"/usr/share/applications/${PN}.desktop
+ fi
+
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}"/mailicon48.png "${icon}".png
+ # Install icons for menu entry
+ sizes="16 22 24 32 48 256"
+ for size in ${sizes}; do
+ newicon -s ${size} "${icon_path}/mailicon${size}.png" "${icon}.png"
+ done
+
+ local emid
+ # stage extra locales for lightning and install over existing
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/lightning \
+ "${WORKDIR}"/lightning-${MOZ_LIGHTNING_VER} lightning calendar
+
+ emid='{e2fda1a4-762b-4020-b5ad-a41df1933103}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/lightning/* || die
+ insinto ${MOZILLA_FIVE_HOME}/distribution/extensions
+ doins -r "${T}/${emid}"
+
+ if use lightning; then
+ # move lightning out of distribution/extensions and into extensions for app-global install
+ mv "${ED}"/${MOZILLA_FIVE_HOME}/{distribution,}/extensions/${emid} || die
+
+ # stage extra locales for gdata-provider and install app-global
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider \
+ "${WORKDIR}"/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}
+ emid='{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider/* || die
+ insinto ${MOZILLA_FIVE_HOME}/extensions
+ doins -r "${T}/${emid}"
+ fi
+
+ # Required in order to use plugins and even run thunderbird on hardened.
+ pax-mark pm "${ED}"${MOZILLA_FIVE_HOME}/{thunderbird,thunderbird-bin,plugin-container}
+
+ if use minimal; then
+ rm -r "${ED}"/usr/include "${ED}"${MOZILLA_FIVE_HOME}/{idl,include,lib,sdk} || \
+ die "Failed to remove sdk and headers"
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+
+ if use crypt; then
+ elog
+ elog "USE=crypt will be dropped from thunderbird with version 52.6.0 as"
+ elog "x11-plugins/enigmail-1.9.8.3-r1 and above is now a fully standalone"
+ elog "package. For continued enigmail support in thunderbird please add"
+ elog "x11-plugins/enigmail to your @world set."
+ fi
+
+ elog
+ elog "If you experience problems with plugins please issue the"
+ elog "following command : rm \${HOME}/.thunderbird/*/extensions.sqlite ,"
+ elog "then restart thunderbird"
+
+ if ! use lightning; then
+ elog
+ elog "If calendar fails to show up in extensions please open config editor"
+ elog "and set extensions.lastAppVersion to 38.0.0 to force a reload. If this"
+ elog "fails to show the calendar extension after restarting with above change"
+ elog "please file a bug report."
+ fi
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}